> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get print object with calculator example

> Returns the print object structure with a salary calculator object added as an example. Used to understand the print data model structure for generating paycheck reports.



## OpenAPI

````yaml /cbs/api-reference/cbs-api.yaml get /print
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: CBS API Documentation for Calculators by Symmetry
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: CBS API
  version: 1.201.1
servers:
  - url: https://calculators.symmetry.com/api
security: []
tags:
  - description: List of available paycheck calculators
    name: Calculators
  - description: Salary-based paycheck calculations
    name: Salary Calculator
  - description: Hourly-based paycheck calculations
    name: Hourly Calculator
  - description: Reverse paycheck calculations
    name: Grossup Calculator
  - description: 401k retirement contribution calculations
    name: 401k Calculator
  - description: 403b retirement contribution calculations
    name: 403b Calculator
  - description: Final paycheck calculations
    name: Final Pay Calculator
  - description: Stock option exercise income calculations
    name: Stock Option Calculator
  - description: Tuition reimbursement calculations
    name: Tuition Calculator
  - description: Hourly with tips calculations
    name: Tax Tip Calculator
  - description: Flat bonus calculations
    name: Flat Bonus Calculator
  - description: Aggregate bonus calculations
    name: Aggregate Bonus Calculator
  - description: Batch processing and API data objects
    name: Data
  - description: Deduction configuration
    name: Deductions
  - description: PDF report generation
    name: Print
  - description: State-specific tax parameters
    name: State Parameters
  - description: API documentation
    name: Documentation
  - description: Postman collection and environment
    name: Postman
paths:
  /print:
    get:
      tags:
        - Print
      summary: Get print object with calculator example
      description: >-
        Returns the print object structure with a salary calculator object added
        as an example. Used to understand the print data model structure for
        generating paycheck reports.
      operationId: getModel
      parameters:
        - description: The response data format
          example: model
          in: query
          name: format
          required: false
          schema:
            enum:
              - fields
              - model
              - schema
            type: string
        - description: Report type (has no effect when format is model or fields)
          example: checktop
          in: query
          name: type
          required: false
          schema:
            enum:
              - all
              - checkbottom
              - checkmiddle
              - checktop
              - deluxe_b100
              - deluxe_b211
              - deluxe_m102
              - deluxe_m145
              - deluxe_t104
              - deluxe_t111
              - earnings
              - none
              - paystub
              - quickbooks_top
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                Print Object Model:
                  description: Print Object Model
                  summary: Print object structure with salary calculator example
                  value:
                    _links:
                      create:
                        href: >-
                          https://calculators.symmetry.com/api/print?calculator=salary&report=all&showcalc=false
                      self:
                        href: >-
                          https://calculators.symmetry.com/api/print?format=model&type=
                    content:
                      calculator:
                        checkDate: '2023-01-25T15:23:39.513+00:00'
                        grossPay: 0
                        payFrequency: WEEKLY
                        state: AL
                      checkDate: '2023-01-25T15:23:39.513+00:00'
                      checkNumber: ''
                      checkNumberOnCheck: false
                      companyAddressLine1: ''
                      companyName: ''
                      companyNameOnCheck: false
                      eic: 0
                      emailReports: false
                      employeeAddressLine1: ''
                      employeeName: ''
                      federal: 0
                      fica: 0
                      grossPay: 0
                      id: ''
                      localeTaxes:
                        - name: ''
                          value: 0
                      medicare: 0
                      netPay: 0
                      remarks: ''
                      state: 0
                      stateTaxTypes:
                        - name: ''
                          value: 0
                      voluntaryDeductions:
                        - name: ''
                          value: 0
          description: Print object retrieved successfully
        '400':
          content:
            application/json:
              example:
                content: Invalid request parameter format=badformat
          description: Invalid format or type parameter
        '401':
          content:
            application/json:
              example:
                message: No api key found
          description: No API key provided
        '403':
          content:
            application/json:
              example:
                message: Invalid api key
          description: Invalid API key
        '404':
          content:
            application/json:
              example:
                error: Not Found
                path: /api/print/badpath
                status: 404
                timestamp: 1641573466465
          description: Invalid endpoint path
        '405':
          content:
            application/json:
              example:
                error: Method Not Allowed
                path: /api/print
                status: 405
                timestamp: 1641572607838
          description: Method not allowed
        '422':
          description: Unprocessable Entity
        '500':
          description: Internal Server Error
      security:
        - pcc-api-key: []
components:
  securitySchemes:
    pcc-api-key:
      description: API key for CBS API authentication
      in: header
      name: pcc-api-key
      type: apiKey

````